FROM docker.io/python:3.11-slim AS builder

RUN pip3 install --user pipenv

# Tell pipenv to create venv in the current directory
ENV PIPENV_VENV_IN_PROJECT=1

ADD Pipfile.lock Pipfile /usr/src/

WORKDIR /usr/src

RUN /root/.local/bin/pipenv sync --python=$(which python3)

FROM docker.io/python:3.11-slim AS runtime

RUN mkdir -v /usr/src/.venv

COPY --from=builder /usr/src/.venv/ /usr/src/.venv/

WORKDIR /usr/src/

CMD ["/bin/bash"]
